import 'package:easy_church_json/easy_church_json.dart';
import 'package:flutter/material.dart';

class Notifications extends StatelessWidget {
  EasyChurchJson easyChurchJson = new EasyChurchJson();

  final String id;
  Notifications(this.id);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: CustomScrollView(
      slivers: <Widget>[
        SliverAppBar(
          backgroundColor: Colors.grey.shade800,
          title: Text("Notifications for church $id"),
        ),
        FutureBuilder(
            future: easyChurchJson.getNotifications(id),
            initialData: <SingleNotification>[],
            builder: ((BuildContext context,
                AsyncSnapshot<List<SingleNotification>> snapshot) {
              if (!snapshot.hasData) {
                return SliverToBoxAdapter(child: SizedBox());
              }
              if (snapshot.data.length == 0) {
                return SliverToBoxAdapter(
                  child: Container(
                    child: Text(
                      "This church does not have any events",
                    ),
                  ),
                );
              }
              return SliverFixedExtentList(
                  delegate: SliverChildBuilderDelegate((
                    BuildContext context,
                    int index,
                  ) {
                    return ListTile(
                      onTap: () {},
                      title: Text(snapshot.data[index].title),
                      subtitle: Text(snapshot.data[index].description),
                    );
                  }, childCount: snapshot.data.length),
                  itemExtent: 70.0);
            })),
      ],
    ));
  }
}
